# Generated from one_factorization-0.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name one_factorization

Name: rubygem-%{gem_name}
Version: 0.1.1
Release: 1%{?dist}
Summary: Duck punches Array to allow one factorization of even length arrays
License: MIT
URL: http://github.com/makersacademy/one_factorization
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec)
BuildArch: noarch

%description
One factorization of a graph generates length-1 sets of pairs of elements from
the graph.  Each set of pairings is unique and includes all elements of the
array. .


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/one_factorization.gemspec

%changelog
* Tue Apr 19 2022 mockbuilder - 0.1.1-1
- Initial package
